Bug 187402 - CVE-2006-1550 Dia multiple buffer overflows
CVE-2006-1550 Dia multiple buffer overflows
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
reported=20060329,source=secalert,pub...
: Security
Depends On:
Blocks: 188108
  Show dependency treegraph
 
Reported: 2006-03-30 13:42 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: dia-0.94-13.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-06 00:11:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-03-30 13:42:41 EST
Dia multiple buffer overflows

infamous41md discovered three buffer overflows in Dia's xfig importer.
The issues are caused by unchecked input from the xfig file.

The patch can be found here:
http://mail.gnome.org/archives/dia-list/2006-March/msg00149.html
Comment 1 Josh Bressers 2006-03-30 13:47:08 EST
Attachment 127062 [details] is Demo Exploit #1

Attachment 127063 [details] is Demo Exploit #2

Attachment 127064 [details] is Demo Exploit #3
Comment 2 David Eisenstein 2006-04-06 00:11:18 EDT
Aan erratum was issued today for this issue by Caolan McNamara titled
FEDORA-2006-261.

<http://www.redhat.com/archives/fedora-announce-list/2006-April/msg00021.html>.

Closing this bug-ticket.

Note You need to log in before you can comment on or make changes to this bug.